Skip to main content
GET
/
v1
/
stores
/
{store}
/
payments
List payments for a store
curl --request GET \
  --url https://api.confiopagos.com/v1/stores/{store}/payments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.confiopagos.com/v1/stores/{store}/payments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.confiopagos.com/v1/stores/{store}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payments": [
    {
      "amountCents": 5000000,
      "currencyCode": "COP",
      "title": "Juguete",
      "description": "Juguete increíble",
      "buyer": {
        "firstName": "Julián",
        "phoneNumber": "+573215786325",
        "lastName": "Pérez",
        "email": "santiago@example.com"
      },
      "name": "stores/01JNRRDZDPH40DB2YRW329BFXM/payments/01JNRVWWHH68E76V3TMFFT6GHJ",
      "status": "AWAITING_PAYMENT",
      "organization": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3",
      "url": "https://checkout.confiopagos.com/p/01JNV8CSHNN933B09T5MTNK89V",
      "createTime": "2024-01-15T10:30:00Z",
      "updateTime": "2024-01-15T10:30:00Z",
      "expireTime": "2024-01-18T10:30:00Z",
      "correlationId": "36285414",
      "mediaAssets": [
        "https://fastly.picsum.photos/id/1074/1024/1024.jpg?hmac=usAeJI_o3wzbLAca-PMBgHQXXhSoMNP5cvoktlhiUzY",
        "https://fastly.picsum.photos/id/506/1024/1024.jpg?hmac=Wa93nuNDFEXWB_Fg4n2vcYT3sGcW7UBTjOAic46R9Gw",
        "https://fastly.picsum.photos/id/343/1024/1024.jpg?hmac=WC3PsYGjbqnsQhfu1J1l3PeAzmsGEiZPISXAenRc2Qc"
      ],
      "enabledPaymentMethods": [
        "PSE",
        "CARD",
        "NEQUI",
        "BANCOLOMBIA"
      ],
      "paymentType": "PRODUCT",
      "redirectUri": "https://example.com/payment-status",
      "courier": "Coordinadora",
      "trackingNumber": "453265",
      "disableBuyerNotification": false,
      "discountPercentage": 0.1,
      "discountSource": "ty_page_cod_conversion"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

store
string
required

The unique identifier of the store.

Example:

"waxhsjr47zsl"

Query Parameters

pageSize
string

The maximum number of payments to return. Default is 50, max is 1000.

Example:

"20"

pageToken
string

A page token received from a previous ListPayments call for pagination.

Response

200 - application/json

Successfully fetched payments.

payments
object[]
required

List of payments

nextPageToken
string

Token for retrieving the next page of results